OOjs UI: You can't click on a scrollbar to move down a suggestions list (MenuWidget result) to pick a lower item (because it closes on click)
Closed, ResolvedPublic

Description

Mike Christie at en.wp reports:
Intention: Use scrollbar in the link insertion dialogue to view more possible link targets

Steps to Reproduce: Bring up the link dialogue for any word with many possible links -- e.g. "Texas". A scrollbar will appear on the right of the list. Click on the scrollbar to scroll down.

Results: The dropdown of possible links disappears.
Expectations: It should have scrolled down.
[...] It is possible to scroll using the arrow keys.

Web browser Chrome 35.0.1916.114 m
Operating system Windows 7
Skin Vector

Reproduced by me with the same setup.


Version: unspecified
Severity: normal

bzimport added a project: OOjs-UI.Via ConduitNov 22 2014, 3:23 AM
bzimport set Reference to bz65774.
Elitre created this task.Via LegacyMay 26 2014, 3:21 PM
Ryasmeen added a comment.Via ConduitMay 28 2014, 8:11 PM

This issue is happening for all the scroll bars that we have in VE .As soon as you click on it the dropdown box disappears

Jdforrester-WMF added a comment.Via ConduitNov 12 2014, 3:57 PM
  • Bug 70218 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitNov 12 2014, 3:57 PM
  • Bug 71794 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitNov 12 2014, 3:58 PM
  • Bug 73284 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitNov 12 2014, 3:58 PM

Change 172723 had a related patch set uploaded by Jforrester:
MenuWidget: Don't close menu when you click the scroll bar

https://gerrit.wikimedia.org/r/172723

Catrope added a comment.Via ConduitNov 13 2014, 1:51 AM
  • Bug 73284 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitNov 13 2014, 1:51 AM

Change 172723 merged by jenkins-bot:
MenuWidget: Don't close menu when you click the scroll bar

https://gerrit.wikimedia.org/r/172723

gerritbot added a comment.Via ConduitNov 13 2014, 1:51 AM

Change 172933 had a related patch set uploaded by Catrope:
Don't close PopupToolGroups when the scroll bar is clicked

https://gerrit.wikimedia.org/r/172933

Catrope added a comment.Via ConduitNov 13 2014, 1:53 AM

(In reply to Gerrit Notification Bot from comment #7)

Change 172723 merged by jenkins-bot:
MenuWidget: Don't close menu when you click the scroll bar

https://gerrit.wikimedia.org/r/172723

This fixes almost all scrollbars in VE.

(In reply to Gerrit Notification Bot from comment #8)

Change 172933 had a related patch set uploaded by Catrope:
Don't close PopupToolGroups when the scroll bar is clicked

https://gerrit.wikimedia.org/r/172933

This fixes the scrollbars for toolbar dropdowns, which are the only ones that are still broken AFAIK.

gerritbot added a comment.Via ConduitNov 13 2014, 9:35 PM

Change 172933 merged by jenkins-bot:
Don't close PopupToolGroups when the scroll bar is clicked

https://gerrit.wikimedia.org/r/172933

Ryasmeen added a comment.Via ConduitNov 14 2014, 6:47 PM

Verified the fix in Betalabs

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.